Create a VICAL signer
Creates a VICAL signer.
- Only available in implementations using unmanaged (external) DTS root CA certificates.
- A maximum of five VICAL signers can be created per tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>application/json- body
caId*stringUnique identifier of the DTS root CA certificate used as a trust anchor for the VICAL signer.
- Must be an unmanaged (external) DTS root CA certificate.
uuidintermediateCaId?stringUnique identifier of the DTS intermediate CA certificate that will be used for signing the VICAL signer.
uuidVICAL signer created
application/json- response
VICAL signer before a VICAL Signer Certificate (VSC) has been uploaded. Includes the Certificate Signing Request (CSR).
id*stringEach VICAL signer will have a unique identifier which must be provided when using this VICAL signer to sign a VICAL.
uuidcsrPem*stringThe X.509 Certificate Signing Request (CSR) in PEM format, base64 encoded. Use this CSR to generate a valid certificate, then update the VICAL signer with the resulting certificate.
caId*stringUnique identifier of the DTS root CA certificate used as a trust anchor for the VICAL signer.
uuidintermediateCaId?stringUnique identifier of the DTS intermediate CA certificate used to sign the VICAL signer.
uuidactive*falseIndicates whether the VICAL signer is active.
- Active VICAL signers are included in the selection process MATTR VII uses when choosing the signer to sign a VICAL, where MATTR VII prefers the most recently created active VICAL signer.
- VICAL signers are created as inactive by default, and can only be set to active once a VICAL Signer Certificate (VSC) has been associated with them.
falsecurl -X POST 'https://example.vii.au01.mattr.global/v1/ecosystems/certificates/vical-signers' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "csrPem": "-----BEGIN CERTIFICATE REQUEST-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE REQUEST-----", "caId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2", "intermediateCaId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2", "active": false}How would you rate this page?